<?php

use Illuminate\Support\Facades\Route;

Route::group(['namespace' => 'Rates', 'prefix' => 'currency-rate'], function () {
    Route::get('/{id}/show', 'FetchRateController@fetch')->name('show');
    Route::get('/list', 'ListRatesController@list')->name('list');
    Route::get('/calculate', 'CalculateRateController@calculate')->name('calculate');
    Route::post('/create', 'CreateRateController@create')->name('create');
    Route::put('/update/{id}', 'UpdateRateController@update')->name('update');
    Route::delete('/delete/{id}', 'DeleteRateController@delete')->name('delete');
});